# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Functions**

* [`redis::get`](#redisget): Returns the value of the key being looked up or `undef` if the key does not exist. Takes two arguments with an optional third. The first bein

## Functions

### redis::get

Type: Ruby 4.x API

Returns the value of the key being looked up or `undef` if the key does not
exist. Takes two arguments with an optional third. The first being a string
value of the key to be looked up, the second is the URL to the Redis service
and the third optional argument is a default value to be used if the lookup
fails.

example usage
```
$version = redis::get('version.myapp', 'redis://redis.example.com:6379')
$version_with_default = redis::get('version.myapp', 'redis://redis.example.com:6379', $::myapp_version)
```

#### `redis::get(String[1] $key, Redis::RedisUrl $url, Optional[String] $default)`

Returns the value of the key being looked up or `undef` if the key does not
exist. Takes two arguments with an optional third. The first being a string
value of the key to be looked up, the second is the URL to the Redis service
and the third optional argument is a default value to be used if the lookup
fails.

example usage
```
$version = redis::get('version.myapp', 'redis://redis.example.com:6379')
$version_with_default = redis::get('version.myapp', 'redis://redis.example.com:6379', $::myapp_version)
```

Returns: `Optional[String]` Returns the value of the key from Redis

##### `key`

Data type: `String[1]`

The key to look up in redis

##### `url`

Data type: `Redis::RedisUrl`

The endpoint of the Redis instance

##### `default`

Data type: `Optional[String]`

The value to return if the key is not found or the connection to Redis fails

